//contador.counter=1;
//var contador=new Couter(x,x, img);
//contador.add();
//contador.
//new NPC (CODIGO, X, Y , DIALOGO)
function initLevel () {

	levelWidth =3000; //Igual o mayor a 960;
	levelHeight =9000; //Igual o mayor a 540;
	imgData = ["tariacuri.png","img/dirtpath.png","img/jarron.png", "img/jarron2.png", "img/leaf.png",
	 "img/background3.jpg", "img/soil.png", "img/viejita.png","img/background.png","img/viejito.png"]; 
	audioData=["cancion"];


	//var contador=0;	      


	var fondo=[[0,false],[5,0,0],[8,2000,8000]];
    var piso= [[1,true]];
    var objetos=[[1,false],new Jarron(2,1275,8450),new Jarron(2,2400,8600), new Jarron(2,650,7900),
    new Jarron(2,2900,7900), new Jarron(2,1640,7400), new Jarron(2,2700,7400), new Jarron(2,1600,5700),
    new viejitaContador(2890,7420),  new viejito(45,8790), new Martillo(4,1400, 7500), new Jarron(2,1050,5900),
     new Jarron(2,750,5700)]; 
	//var contador=new Counter(100,100,1);
	levelData = [fondo,piso,objetos]; //Poner las capas en el orden 
	respawn = [[150,8830]];//[[0,500],[1899,3500],[4500,2000],[9600,500],[14200,500]]; //Puntos de respawn.

	levelData.init = function () {
		counter=new Counter(10,60,3);
		counter.counter=0;
		//suelo colision
		levelData[0]=levelData[0].concat(insertTiles(5,0,0,1,1,0,0)); //1=La imagen //0,700 X,Y
																   //10 RepX 1 RepY  //0,0 X,Y Space
																   //Deben ser minimo 1.		
		
		levelData[1]=levelData[1|1].concat(insertTiles(6,0,8980,2,1,1800,0));//piso
		//madera
		levelData[1]=levelData[1].concat(insertTiles(1,400,8800,2,1,2000,0));
		levelData[1]=levelData[1].concat(insertTiles(1,900,8600,2,1,100,0));
		levelData[1]=levelData[1].concat(insertTiles(1,1800,8400,2,1,600,0));
		levelData[1]=levelData[1].concat(insertTiles(1,1100,8200,2,1,900,0));
		levelData[1]=levelData[1].concat(insertTiles(1,600,8000,4,1,900,0));
		
		levelData[1]=levelData[1].concat(insertTiles(1,1000,7800,2,1,1100,0));
		levelData[1]=levelData[1].concat(insertTiles(1,350,7600,3,1,1000,0));
		levelData[1]=levelData[1].concat(insertTiles(1,1000,6000,1,1,600,0));
		levelData[1]=levelData[1].concat(insertTiles(1,700,5800,2,1,600,0));



		
		


		
		levelData[1]=levelData[1].concat(insertTiles(1,1600,8800,1,1,100,0));
        //lo ultimo 13500, 500
       
		player=new Player(0,[1, 1, 10, 10, 1, 1, 1, 1],111,160,150,8830);
		player.facing = 'left';
		ivan =new Ivan(50,8400);
        levelData[2]=levelData[2].concat(player,ivan);
		camera= new Camera([[1000,1/2],[2000,3/4], [1600,1/2],[9000,3/4],[9000,1/4]]);

	}

	levelData.logic = function () {
		if(cutscene==undefined&&fade.state=='idle'){
			cutscene = new Cutscene([[00, 8500]], [["¡Bienvenido a Santa Clara del Cobre Tariacuri, éste es mi taller!.|Verás, tengo un problema, 6 de mis jarrones|han desaparecido y necesito llevarlos con mi esposa,","ella necesita terminar de moldear el cobre, para esto|necesitará un martillo, ve si encuentras alguno.|Te agradezco tu ayuda Tariacuri eres un niño muy amable"]]);
		}
		if(player.y_pos<=5500){
		
					player.jump_speed=1000;
				
		}

	}

	
	levelData.draw = function (i, displacementRatio) {
		 
		// canvas = document.createElement('canvas');
		// canvas.width = getWidth(imgData[3]) + 200;
		// canvas.height = getHeight(imgData[3]);
		// init.context = canvas.getContext('2d');
		// init.context.font= "normal 20px Verdana";
		// init.context.fillStyle = "#FFFFFF";
		// init.context.drawImage(imgData[3], 0, 0);
		
		// //context.drawImage(this.canvas, 0, 0);
		// init.context.clearRect(getWidth(imgData[3]), 0, canvas.width - getWidth(imgData[3]), canvas.height);
		// init.context.fillText("x " + contador, getWidth(imgData[3]) + 9, getHeight(imgData[3])/2 + 7);
		counter.draw();
		counter.drawNumber();
		
	}

}var contador = 0;

function viejitaContador (x_pos, y_pos) {
	var paso=false;
	this.imageCode = 3;
	this.x_pos = x_pos;
	this.y_pos = y_pos;
	var talked = false;
	this.draw = function (){
		//console.log("asdf " + on_cutscene + " " + talked + " " + cutscene + " " + fade.state);
		//on_cutscene = false;
		drawOnCanvas(imgData[7], this.x_pos-camera.x_pos, this.y_pos-camera.y_pos);
		if(counter.counter>=8)
		{
			drawOnCanvas(imgData[4], x_pos-camera.x_pos-50, y_pos-camera.y_pos+70);

		}
		if(player.isColliding(this.x_pos, this.y_pos, 50, 100)&&pressed_control&&!on_cutscene){
			var string = ["¡Hola jovencito!|Veo que has encontrado varios jarrones,|veamos si son suficientes..."];
			if(counter.counter>=8)
			{
				string = string.concat("Increíble Tariacuri, has logrado encontrar " + counter.counter + " jarrones|Sabía que lo lograrías.|Ahora podré terminar de moldear los jarrones.","Como agradecimiento a la ayuda que nos has brindado|acepta este martillo como agradecimiento","Ahora podrás continuar con tu camino en otro pueblo mágico...");
	
				paso=true;
				
			}
			else
				string = string.concat("Lo siento, solo conseguiste " + counter.counter + " jarrones|Regresa cuando consigas más de 8 jarrones");
			
			cutscene = new Cutscene([[this.x_pos-canvas.width/2, this.y_pos-canvas.height/2+200]], [string]);
 				
			
			
			talked = true;
		}
		if(talked&&counter.counter>=8&&paso) {
			if(cutscene.finished){
				ending.init("Santa Clara del Cobre.",["Ahora ya lo sabes Santa Clara del Cobre es un pueblo","mundialmente reconocido por la habilidad de sus","artesanos para moldear, mediante la técnica de","martillado cualquier trozo de cobre, convierténdolo","así en una obra de arte única."]);
				if(fade.state != 'fadeout'){
					fade.out();
				}
			}
		}
	}
}
function viejito (x_pos, y_pos) {
	var paso=false;
	this.imageCode = 3;
	this.x_pos = x_pos;
	this.y_pos = y_pos;
	var talked = false;
	this.draw = function (){
		//console.log("asdf " + on_cutscene + " " + talked + " " + cutscene + " " + fade.state);
		//on_cutscene = false;
		drawOnCanvas(imgData[9], this.x_pos-camera.x_pos, this.y_pos-camera.y_pos);
		
	}
}

function Jarron (imageCode, x_pos, y_pos) {
	this.imageCode = imageCode;
	this.x_pos = x_pos;
	this.y_pos = y_pos;
	var exists = true;
	/*var particles = new Array();
	for(var i=0;i<20;i++)
		particles[i] = new levelData.particle('tacambaro/tomato_particle.png');*/
	var player_collided = false;
	this.draw = function (displacementRatio) {
		/*if(!onScreen(x_pos, y_pos, image.width, image.height))
			return;*/
		/*for(var i=0;i<particles.length;i++)
			particles[i].move(x_pos+image.width/2,y_pos+image.height/2, exists);*/
		if(!exists)
			return;
		drawOnCanvas(imgData[this.imageCode], x_pos-camera.x_pos*displacementRatio, y_pos-camera.y_pos*displacementRatio);
		if(player.isColliding(this.x_pos, this.y_pos, imgData[this.imageCode].width, imgData[this.imageCode].height)||player_collided){
			if(!player_collided)
				{	if(counter.counter==0){
					cutscene = new Cutscene([[this.x_pos-canvas.width/2+imgData[imageCode].width/2, this.y_pos-canvas.height/2+imgData[imageCode].height/2]], [["¡Has encontrado un jarrón junta todos los que puedas!","Cada pieza de cobre moldeada por los artesanos |de Santa Clara es única, producto del ingenio y la|imaginación."]]);
					}

					counter.add();
				}
			player_collided = true;;
			if(cutscene.finished)
				exists = false;
			//cutscene.textBox.draw();
		}
	}
}



function Martillo (imageCode, x_pos, y_pos) {
	this.imageCode = imageCode;
	this.x_pos = x_pos;
	this.y_pos = y_pos;
	var exists = true;
	/*var particles = new Array();
	for(var i=0;i<20;i++)
		particles[i] = new levelData.particle('tacambaro/tomato_particle.png');*/
	var player_collided = false;
	this.draw = function (displacementRatio) {
		/*if(!onScreen(x_pos, y_pos, image.width, image.height))
			return;*/
		/*for(var i=0;i<particles.length;i++)
			particles[i].move(x_pos+image.width/2,y_pos+image.height/2, exists);*/
		if(!exists)
			return;
		drawOnCanvas(imgData[this.imageCode], x_pos-camera.x_pos*displacementRatio, y_pos-camera.y_pos*displacementRatio);
		if(player.isColliding(this.x_pos, this.y_pos, imgData[this.imageCode].width, imgData[this.imageCode].height)||player_collided){
			if(!player_collided)
				{	if(counter){
					cutscene = new Cutscene([[this.x_pos-canvas.width/2+imgData[imageCode].width/2, this.y_pos-canvas.height/2+imgData[imageCode].height/2]], [["¡Super salto!|Bien Tariacuri has conseguido el martillo que mi esposa necesita","La técnica del martillado es utilizada por los artesanos|para convertir cualquier trozo de cobre en una pieza única de ingenio"]]);
					}
					player.jump_speed=2700;
					//contador++;
				}
			player_collided = true;;
			if(cutscene.finished)
				exists = false;
			//cutscene.textBox.draw();
		}
	}
}




